[package]
name = "ec-crypto"
version = "0.0.0"
edition.workspace = true
license.workspace = true

[dependencies]
blake3 = "1"
chacha20poly1305 = "0.10"
ed25519-dalek = { version = "2", features = ["pkcs8"] }
ec-eth = { path = "../ec-eth" }
hex = "0.4"
ec-core = { path = "../ec-core" }
k256 = { version = "0.13", features = ["ecdsa"] }
sha3 = "0.10"
